/**

 * @author Alaa Aldin

 * @version 1.0

 */
package de.jaujau.daten;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class Spielerverwaltung {

  private int level;

  private Spielerdaten spieler;

  private String name = "Mark Zuckerberg"; // Testeintrag

  /**
   * Set the value of level
   * 
   * @param newlevel the new value of level
   */
  public void setLevel(int newlevel) {
    level = newlevel;
  }

  /**
   * Get the value of level
   * 
   * @return the value of level
   */
  public int getLevel() {
    return level;
  }

  /**
   * Get the value of name
   * 
   * @return the value of name
   */
  public String getName() {

    return name;
  }

  /**
   * Set the value of spieler arraylist von Spieler
   * 
   * @param newSpieler the new value of spieler
   */
  public void setSpieler(Spielerdaten newSpieler) {
    spieler = newSpieler;
  }

  /**
   * Get the value of spieler arraylist von Spieler
   * 
   * @return the value of spieler
   */
  public Spielerdaten getSpieler() {
    return spieler;
  }

  //
  // Other methods
  //

  /**
   */
  public void leseDaten() {
    throw new UnsupportedOperationException();
  }

  /**
   */
  public void speichernDaten() {
    throw new UnsupportedOperationException();
  }

  // Die Highscore-datei wird geoeffnet und die Daten als zweidimensionales Array
  // zurueckgegeben
  public String[][] gethighscoreTabelle() {
    String[][] rowData = new String[15][2];
    BufferedReader reader;
    try {
      reader = new BufferedReader(new FileReader("highscore.txt"));
      String line = reader.readLine();
      char[] lineArray;
      String name = "";
      String score = "";
      int zeilennummer = 0;
      boolean insArray = false;
      while (line != null) {
        System.out.println(line);
        lineArray = line.toCharArray();
        for (int i = 0; i < lineArray.length; i++) {

          if (lineArray[i] != ' ' && score.length() == 0) {
            name += lineArray[i];
          } else if (lineArray[i] == ' ' && name.length() != 0) {
            i++;
            score += lineArray[i];

          } else if (score.length() != 0) {
            score += lineArray[i];
            insArray = true;

          }
        }

        if (insArray) {
          rowData[zeilennummer][0] = name;
          rowData[zeilennummer][1] = score;
          insArray = false;
        }

        zeilennummer++;
        name = score = "";
        line = reader.readLine();
      }
      reader.close();

    } catch (IOException e) {
      e.printStackTrace();
    }

    return rowData;
  }
}
